Introduction

Index.dat Suite
Introduction

Overview

Index.dat Suite is a rather unique program that allows you not only to delete the index.dat files, temporary internet files, temp files, cookies and history, but it also allows you to view the index.dat files on your system.

Index.dat Suite's current features include;
  1. View and delete index.dat files
  2. View and delete Temporary Internet Files (TIF)
  3. View and delete Cookies
  4. View and delete History
  5. View and delete Temp files
  6. View and delete Recent Documents
  7. Delete Typed URL's
  8. Auto-generation of batch file to assist in deleting the index.dat files in DOS.
  9. Optional add to RunOnce registry key
  10. Optional deletion of swap file (9x users only)
  11. Optional defrag after file deletion
  12. Full application logging
As with all of Ur I.T. Mate Group's software, Index.dat Suite is 100% freeware with no nags, ad's, spyware, malware or other annoyances, and we intend to keep it that way. If you have any questions or comments about Index.dat Suite, please feel free to contact us.


System Requirements

System Requirements
Below are the minimum and reccomended system requirements for Index.dat Suite. Before using this program, you should really ensure your computer matches the minimum requirements.

Minimum

486/66 DX2
16MB Ram
Windows 95
Internet Explorer 5.0
Visual Basic 6 Runtime files 		Reccomended

Intel Pentium II 300Mhz
128MB Ram
Windows 98 Second Edition
Internet Explorer 5.5
Visual Basic 6 SP5 Runtime files

Space Required: 4MB (376K for Index.dat Suite itself)


Who should use this program?

Who should use this program?
Index.dat Suite is intended for anyone that is interested in finding out just what the index.dat file contains, and a quick and convenient way to get rid of them.

If you are a novice PC user, we strongly reccomend you read the section titled Using Index.dat Suite before using Index.dat Suite as we have been told that some of those that are not quite used to computers, have had problems trying to work out how to use this program.

If you are only interested in viewing the contents of the index.dat file's on your computer and not deleting them, then have a look at our Index.dat QV utility instead.

Index.dat QV is a much scaled down version of Index.dat Suite, and is intended solely for those wishing to view the index.dat file's. Unlike Index.dat Suite, it does not have support for deleting them, and does not contain any of the additional features that you will find in Index.dat Suite.


Frequently Asked Questions

Frequently Asked Questions
Q. Do I have to have the generated file showing when using the "automatic" option?

A. Not anymore. If you are using v2.7.4 or above, you can now disable this in the IDS settings.

To do this, click the Settings button on the toolbar and click the Batch File tab. Then UNTICK the box labelled "Show generated batch file"

Q. Is there anything available to show me in lamans terms how to use Index.dat Suite?

A. There certainly is;

http://support.it-mate.co.uk/index.asp?mode=Products&act=How_To&p=index.datsuite#29

Q. How do I view ids/idq file's?

A. The contents of both ids and idq file's are simple plain text, as such, you can use any plain text editor (such as Notepad, ACF Notes), to view them.

Q. Okay, I've generated the file, now what I do do?

A. Aslong as you also ticked the option to add it to the RunOnce key in the registry (Tools > Settings > Batch File, and tick the box labelled "Add file to RunOnce registry key ...."), all you need to do is re-start your computer. The batch file will do the rest.

Q. What are the benefits to running the batch file manually, and having it ran automatically?

A. The main benefits to having it ran automatically is, it saves you the time and hassle of having to go into DOS, then run the file, then re-boot your system. Having it done automatically simply requires you re-start your system.

Q. I saw mention of a serious bug on pcquanda.com, has this bug definately been fixed?

A. Obviously, when fixing bug's, there is no "guarantee". However, the bug mentioned on pcquanda.com refers to a serious error that was down to both user error, and my not allowing for said user error. This bug was fixed in v2.0. Since fixing the bug, we have not had any more reports of this bug re-occuring. As such, we can only assume it is truly gone for good, we cannot guarantee it.

Because of the nature of the bug, we coded Index.dat Suite to show you the generated file as soon as it was generated, and before you ran it. This at present, is the best we can do to prevent any serious problems.

Q. Will deleting the index.dat files, harm my PC?

A. No. Deleting the index.dat file's simply deletes the files, nothing else. After deleting them, Windows will re-create fresh blank copies of them.

Q. Why aren't the Temporary Internet Files, Cookies and History etc, cleared aswell?

A. These items will only be deleted if you ask Index.dat Suite to do so in the Settings options.

Q. What is the difference between DOS and DOS Mode?

A. DOS was the original platform built by Microsoft. Unlike Windows, there was no user interface as you see now, it was all command line driven (with the exception of the built in editor/debugger). DOS Mode is basically DOS inside Windows itself, though the DOS you run inside Windows is not capable of nearly half the things you can do in "real DOS" (i.e. outside Windows).

Q. What is a batch file?

A. A batch file (.bat) is a plain text file that you can use to modify/delete/copy etc, files and folders in DOS and/or DOS mode.

Q. When viewing the contents, nothing shows up, why is this?

A. Index.dat Suite can take anywhere upto 30 minutes to scan an index.dat file (depending on it's size and the speed of your computer), at the top of the window, it will tell you if it is scanning or not. If nothing shows up after the scan is complete then it is likely that there are no http or ftp items to show you (this can happen when your browser is set to delete the history when you close your web browser).

Q. What are the checkboxes for on the main IDFinder window?

A. The checkboxes allow you to exclude items from the generated .bat file. All items CHECKED will be included, UNCHECKED items will be excluded.

Note: If you have enabled the option labelled "Use default file generation routine to remove all index.dat files", this setting will be ignored, and all items included, regardless of whether they are checked or unchecked.

Q. Why won't the IDFinder window show when pressing the button for it?

A. This is a common mistake and is actually our fault for not making this part clear. The IDFinder window can be activated again by following the procedure below.

1. Go to the Window menu
2. Select "Cascade"
3. Select the IDFinder window to bring it to the front.

Q. I'm having problems getting to a command prompt with my 2K/XP boot disk

A. This is easily bypassed by using a Windows 98se boot diskette, infact, some of our users have told us they prefer to use the older boot diskettes.

Note: You can only use a 98SE boot diskette if it contains an NTFS capable read/write utility or your drive is formatted with the FAT32 file system

Q. When trying to view the files contents, why does it take so long?

A. The time will vary between 30 seconds to 30 minute's depending on how large the file is. This unfortunately, cannot be helped.

Q. How do I view the index.dat files contents?

A. Once the search is complete, highlight the file you would like to view, and select the View File Contents button (3rd from the left).

Alternatively, right click the item you wish to view, and select "View file contents"

Q. Why isn't the RunOnce command being added to the registry?

A. Assuming you have the box ticked in the Index.dat Suite settings, the only reason this will happen is if you have a program running that blocks access to the registry (such as Ad-Aware, WinPatrol), or your administrator has permissions set to prevent it.


Online Support

Online Support
Ur I.T. Mate Group believes our users are the backbone behind what we do and as such, are determined to provide the best support possible. Because of this, we have a multitude of ways you can get help with our products and services.
  1. E-mail

    services@it-mate.co.uk

  2. Forums

    http://www.it-mate.co.uk/forum

  3. Search our knowledgebase

    http://support.it-mate.co.uk/?mode=KB

  4. Online "bug report form"

    http://support.it-mate.co.uk/?mode=Contact
Note: If you are reporting a bug, please use option 4.


Using Index.dat Suite

Using Index.dat Suite
Although Index.dat Suite is fairly straight forward as it is, this section is a quick guide for those that are using Index.dat Suite for the first time.

The first thing you should check before using Index.dat Suite, are the following items;

1. Search In

This is the box on the main IDFinder window, that tells Index.dat Suite, which drive/folder, it should search in. The default location is the drive you have installed Index.dat Suite to, so if you have used the full or basic installs, this will usually be C:\ .

To change the Search in location, click the Browse button next to the Search In box.

2. Settings

Index.dat Suite has some standard default settings, designed to make things a little easier for the user, such as the folders that are included in the generated batch file, and the default filename for the batch file itself (default is run.bat). These can be changed in the Settings options:

Menu: Tools > Settings
Shortcut Key: F11

3. Platform

Most importantly, you should check to make sure Index.dat Suite has correctly detected your platform (version of Windows). The easiest way to do this is to check the Index.dat Suite log file, however, you can also manually check/set this in the Settings options.

Menu: Tools > Settings
Shortcut Key: F11

Once you have checked the above, you can simply save your settings, and click Find on the main IDFinder window. Index.dat Suite will then proceed to locate the index.dat file's on your system.

Once the scan has finished, you can opt to either;

1. View the contents (See: Viewing index.dat files)
2. Delete them (See: Deleting index.dat files)


What are the index.dat file's?

What are the index.dat file's?
Index.dat files are files that are files that are stored on your computer and store information on every website you have visited. Every single webpage from search engines, to online bank site's are stored in these file's, along with e-mails you have sent via Microsoft Outlook and Microsoft Outlook Express.

The filenames and locations for these file's vary depending on the version of Internet Explorer you have installed. If you are running Internet Explorer 4.0 or above, the filenames are "index.dat", and the locations are generally;

Windows 9x > Windows ME

\Windows\Cookies
\Windows\History\history.ie5
\Windows\History\History.ie5\sub-folders
\Windows\Temporary Internet Files
\Windows\Temporary Internet Files\Content.IE5\
\Windows\Temporary Internet Files\Content.IE5\sub-folders

Windows NT > Windows Server 2003

As above, but also include;

\Documents and settings\<username>\cookies
\Documents and settings\<username>\Local Settings\History
\Documents and settings\<username>\Local Settings\Temporary Internet Files
\Documents and settings\<username>\Local Settings\Temporary Internet Files\Content.IE5
\Documents and settings\<username>\Local Settings\Temporary Internet Files\Content.IE5\sub-folders
\Documents and settings\All Users\cookies
\Documents and settings\All Users\Local Settings\History
\Documents and settings\All Users\Local Settings\Temporary Internet Files
\Documents and settings\All Users\Local Settings\Temporary Internet Files\Content.IE5
\Documents and settings\All Users\Local Settings\Temporary Internet Files\Content.IE5\sub-folders
\Documents and settings\Default User\cookies
\Documents and settings\Default User\Local Settings\History
\Documents and settings\Default User\Local Settings\Temporary Internet Files
\Documents and settings\Default User\Local Settings\Temporary Internet Files\Content.IE5
\Documents and settings\Default User\Local Settings\Temporary Internet Files\Content.IE5\sub-folders

and

\windows\system32\config\systemprofile\cookies
\windows\system32\config\systemprofile\local settings\history
\windows\system32\config\systemprofile\local settings\history\sub-folders
\windows\system32\config\systemprofile\local settings\temporary internet files\content.ie5

Index.dat file's are actually cloaked rather than hidden, which is why you will not find them when using the built in Windows "Find" or "Search" feature. cloaked file's are treated differently to hidden file's in windows and DOS and are generally not shown (however, on a 9x system, they can still be located and found manually in DOS).

The reason for these file's is not yet known as Microsoft have never (at time of writing) provided anyone with an adequate explanation as to their purpose, or why they are hidden in this manner.

The index.dat file's themselves are in constant use when Windows is running, and is why they cannot be deleted unless you exit Windows first. Even when you use the deletion options provided in Internet Explorer, the index.dat file's, including their content's, are left untouched.


Keyboard Shortcuts?

Keyboard Shortcuts?
The following keyboard shortcut's are currently available in Index.dat Suite

Shortcut | Function
Del | Clear results
CTRL+A | Exclude all items found
CTRL+B | Report a bug
CTRL+C | Copy selected path to clipboard
CTRL+E | View file contents using external viewer
CTRL+F | Shows Custom Folders dialog
CTRL+G | Generate Batch file
CTRL+N | Exclude none
CTRL+P | Print results
CTRL+Q | Close Index.dat Suite
CTRL+S | Save results
CTRL+V | View file contents using internal viewer
CTRL+F12 | View Batch File Generation log file (bfglog.log)
F1 | Shows the help file (if installed)
F2 | Shows Space Utilization dialog
F3 | Toggle toolbar (visible/hidden)
F4 | Clears application and batch file generation logs
F5 | Deletes Cookies, History, TIF, Temp, Recent Documents folders, and Typed URL's
F6 | Deletes the generated batch file, and it's RunOnce entry
F9 | Check for new version
F11 | Show Index.dat Suite settings
F12 | View Index.dat Suite log file (applog.log)


Deleting index.dat files

Deleting index.dat files
This document assumes;

1. You have checked and chosen the settings you wish to use (see Notes)
2. You have already run the scan on your system (see: Locating Index.dat Files)
3. You are not using the Batch File Generation Wizard
4. You have left the batch file name as "run.bat"

On the main IDFinder window, after the scan is complete, place a tick next to the items you want to delete.

To delete the index.dat file's, click the "Generate File" button on the toolbar (Shortcut Key: CTRL+G).

Index.dat Suite will now generate the file that will be used to delete the index.dat file's. Once the generation is complete, you will see the following message;

The generated file will now be shown to you. This allows you to not only check the file for errors, but also to add any additional commands (such as deleting other file's/folders).

If you have ticked the "Add file to RunOnce registry key after file generation" option in the Index.dat Suite settings, you can now simply re-start your computer. The batch file will do the rest for you.

If however, you have opted to run the file manually, you will need to boot into DOS, and run the file.

To get to DOS on Windows 95, 98, 98SE or Windows ME, re-start your computer and keep pressing F8. If done correctly, you will be presented with a black screen containing options. Select the option labelled "Command Prompt Only". At the prompt, type:

[drive]\run.bat

Where [drive] is the drive containing the batch file we created above.

Notes:

If you have ticked the option in the Settings labelled "Use default file generation routine to remove all index.dat files", all items found will be included in the generated file (regardless of whether you have chosen to exclude them or not)


Locating Index.dat Files

Locating Index.dat Files
To locate the index.dat file's, click the Find button on the main IDFinder window.

Once the scan of your computer is complete. You will see all of the index.dat file's Index.dat Suite was able to find.

From here, you can decide whether to Delete the index.dat files, or view their contents.


Viewing Index.dat Files

Viewing Index.dat Files
There are two possible ways to do this, with a dedicated viewer, or using the built in viewer.

To use the built in viewer, simply select the file you wish to view and either click the "View File Contents" button (3rd from the left), or right click it and select "View File Contents > Use Internal Viewer" (Shortcut key: CTRL+V) or if you have the option selected, "View File Contents > Use External Viewer" (Shortcut key: CTRL+E).

You will then see the following message (assuming you have not disabled it in the Index.dat Suite settings). This message simply warns you that the content extraction could take a while, if you do not mind waiting click OK, otherwise click Cancel.

Although the prompt above mentions upto and over 10 mins, it could actually take between 30 seconds, to 30 minutes, to extract the contents of a file. The time it takes depends on both the speed of your computer, and the size of the file you wish to view.

Once the extraction is complete, you will see something resembling the following.


Toolbar

Toolbar
Button | Function
 | Shows the main "IDFinder" window
 | Generates the batch file that is used to delete the index.dat files
 | View the selected files contents
 | View your surfing history
 | View cookies currently present on your computer
 | View your temporary internet files
 | View temporary files currently stored on your computer
 | View your recently accessed documents
 | Shows the Index.dat Suite settings dialog
 | Shows this help file
 | Check for a newer version of Index.dat Suite
 | Allows you to send us reports concerning a bug you have found in this program


Using the Batch File Generation Wizard

Using the Batch File Generation Wizard
This document assumes;

1. You have enabled the Batch File Generation Wizard (See: Settings and Options)
2. You have already run the scan on your system (see: Locating Index.dat Files)

After then scan of your system has completed, and index.dat file's found. You can then click the File Generation button (second from the left), to start the File Generation Wizard.

The first screen you will see lets you know which file's will be included in the generated file (all items with a tick next to them on the main IDFinder window, will be included here).

Clicking Next takes you to the second screen. This screen allows you to add extra files and/or folders to the generated batch file (e.g. when you want to delete the Scandisk .chk file's).

WARNING: Adding custom folders/files is done so entirely at your own risk!!. Unless you know what you are doing, we strongly reccomend AGAINST doing this.

Clicking Next takes you to the final screen. This simply tells you that clicking Next will generate the batch file, along with extra information concerning the use of the generated file.

Clicking Next on this screen, will generate the batch file, and close the wizard.


Menu - File

File Menu
The file menu consists of 3 items. These are;
  1. Open

    Open a file (.ids, .idq or .dat)

  2. Properties

    Show the selected file's properties (uses the standard Windows properties API)

  3. Exit

    Closes Index.dat Suite*
*If a scan is in progress, you will be asked if you want to wait for the scan to finish, or interrupt the scan and close immediately.


Menu - Edit

Edit Menu
The Edit menu consists of 8 items. These are listed below.
  1. Clear Results

    Clears the list of items found

  2. Copy path to clipboard

    Copies the selected item's path to the Windows Clipboard

  3. Exclusions

    1. None

      Do not exclude any of the index.dat file's found

    2. All items found

      Exclude all index.dat file's found

    3. Selected item only

      Exclude only the selected file

  4. Save Results

    Saves list of items found to "Results" file listed in the Index.dat Suite settings

  5. Print Results

    Print list of items found

  6. View file contents

    1. Using internal viewer

      View the selected file using the built in viewer

    2. Using external viewer

      View the selected file using a custom selected external viewer


Menu - View

View Menu
The View menu consists of 8 items. These are listed below.
  1. Toolbar

    1. Show

      Show/hide the Toolbar

  2. ID Finder

    Shows the main IDFinder window

  3. Space Utilization

    View spaced used by Cookies, History, Temp, Temporary Internet Files, and Recent Documents folders (shown in KB)

  4. Logs

    1. Clear Them Both

      Deletes both the Index.dat Suite log, and Batch File Generation log

    2. Index.dat Suite Log

      1. Clear

        Delete Index.dat Suite log file

      2. View

        View the Index.dat Suite log file

    3. Batch File Generation Log

      1. Clear

        Delete Batch File Generation log file

      2. View

        View the Batch File Generation log file


Menu - Tools

Tools Menu
The Tools menu consists of 15 items. These are listed below.
  1. Settings

    Shows the Settings dialog

  2. Cleanup

    1. Clean Them All

      Cleans the Cookies, History, TIF, Temp, Recent Documents folders, and the Typed URL's

    2. Cookies

      1. Delete Contents

        Delete the contents of the Cookies folder

      2. View Contents

        View the contents of the Cookies folder

    3. History

      1. Delete Contents

        Delete the contents of the History folder

      2. View Contents

        View the contents of the History folder

    4. Temp

      1. Delete Contents

        Delete the contents of the Temp folder

      2. View Contents

        View the contents of the Temp folder

    5. Temporary Internet Files

      1. Delete Contents

        Delete the contents of the Temporary Internet Files folder

      2. View Contents

        View the contents of the Temporary Internet Files folder

    6. Typed URLs

      1. Delete Contents

        Delete the Typed URL's

    7. Recent Documents

      1. Delete Contents

        Delete the contents of the Recent Documents folder

      2. View Contents

        View the contents of the Recent Documents folder

  3. Batch File Generation

    1. Generate File

      Generates the Batch File that is used to delete the index.dat file's found

    2. Delete batch file

      Deletes the generated batch file

    3. Remove RunOnce entry

      Deletes the Index.dat Suite RunOnce registry entry

    4. Delete Both

      Deletes the generated batch file and it's corresponding RunOnce entry

  4. Custom Folders

    Shows Custom Folders dialog


Menu - Window

Window Menu
The Window menu consists of 4 items. These are listed below.
  1. Cascade

    Cascade all open windows

  2. Tile Horizontal

    Tile all open windows horizontally

  3. Tile Vertical

    Tile all open windows vertically

  4. Arrange Icons

    Arrange icons for minimized dialogs


Menu - Help

Help Menu
The Help menu consists of 6 items. These are listed below.
  1. Contents ...

    Shows this help file (if installed)

  2. About Index.dat Suite

    Shows the "About" dialog

  3. Feedback

    Send feedback to the developer

  4. Homepage

    Visit the Index.dat Suite homepage

  5. Report Bug

    Report a bug in the program

  6. Check for new version

    Check for updates to this program


Settings and Options

Settings and Options
The settings and options available in Index.dat Suite allow you to control how this program works. Everything from the background image, to the file generation routine, can be customised to suit your needs.

To improve on previous versions of Index.dat Suite, the Settings and options dialog has been given a complete make-over, and additionally has extra options available to you, in an effort to make things as easy as possible for you.

In saying this however, few of these settings should actually require changing as we have given them what we consider to be the "best performing" default settings. As such we would reccomend changing these settings, only if you are experiencing problems, or would like to customise the working of the program.


Settings and Options - General

Settings and Options - General
The following settings are available on the General tab.

General
  1. Mark items in red that may not be safe to delete

    By default this setting is enabled, and allows Index.dat Suite to automatically mark and exclude items that have been detected but are known to cause problems when deleted.

    Items with the following in their paths, are automatically marked during the scan;

    PPSRIN~1 (PPSRIndex.dat - Pest Patrol data file)
    HELPCTR (index.dat -Microsoft Windows Help Center)

    At present, we are unsure as to why deleting the HELPCTR index.dat file would cause problems. However, we have checked it's contents, and confirmed, it is not the same kind of index.dat file as those used by Internet Explorer or Windows.

    Reccomendation: Leave checked

  2. Show warning prompt before viewing file contents

    This option allows you to enable or disable the prompt that is shown prior to viewing the contents of an index.dat file.

    If you are unlikely to forget that it takes time to scan these file's, you may feel free to disable it.

    Reccomendation: User preference

  3. Automatically find index.dat files when loading Index.dat Suite

    Enabling this option causes Index.dat Suite to auto-run the scan on your system, whilst loading the program. Whilst this can save you running the scan manually (by clicking the Find button), it may slow down the loading of the program.

    Reccomendation: User preference

  4. Always use external viewer when viewing index.dat file contents

    When enabled, Index.dat Suite will use the external viewer you have set in the Files options, instead of the internal viewer.

    Reccomendation: User preference

  5. Always delete last generated batch file when loading Index.dat Suite

    When enabled, Index.dat Suite will delete the last batch file you generated (if present), the next time you run the program.

    Reccomendation: User preference

  6. Always verify batch file contents after file generation

    When enabled, Index.dat Suite will perform a scan on the generated batch file, to check for invalid or potentially dangerous commands (e.g. deltree /y *.*)

    Reccomendation: Should only be disabled if user is experiencing persistent IDSE0500 errors
Logs

  1. Clear Index.dat Suite log file when exiting

    When enabled (ticked), this setting causes Index.dat Suite to delete the Index.dat Suite log file (default: applog.log) when closing the program.

    The choice of enabling/disabling this setting is entirely your own. However, this file is useful when it comes to troubleshooting problems.

    Reccomendation: User preference

  2. Clear batch file generation log when exiting

    When enabled (ticked), this setting causes Index.dat Suite to delete the Batch File Generation log file (default: bfglog.log) when closing the program.

    The choice of enabling/disabling this setting is entirely your own. However, this file is useful when it comes to troubleshooting problems.

    Reccomendation: User preference


Settings and Options - Batch File

Settings and Options - Batch File
The following settings are available on the Batch File tab.
  1. Add file to RunOnce registry key after file generation

    When enabled, this setting tells Index.dat Suite to add a value to your RunOnce registry key that allows the generated batch file to run the next time you re-start Windows. This prevents your having to run the file manually.

    Unless you intend on running the file manually, or are experiencing problems, we strongly reccomend you leave this setting enabled.

    Reccomendation: Leave checked (enabled)

  2. Run defrag after index.dat file deletion

    If enabled (ticked), an extra command will be added to the generated batch file, to run Windows Defrag, after it has finished deleting the index.dat files.

    Users should note, enabling this setting will slow the loading time of Windows dramatically.

    Reccomendation: User preference

  3. Use default file generation routine to remove all index.dat files

    If ticked, all items found will be included in the generated batch file.

    Note: Windows XP users, and those with Pest Patrol installed, are advised to disable (untick) this setting (see: Settings and Options > General).

    WARNING: When enabled, this setting over-rides the exclusion settings (all items found are included, regardless of whether you have chosen to exclude any or not)

    Reccomendation: User preference

  4. Show prompt after generating batch file

    If enabled (ticked), this option tells Index.dat Suite to show a prompt that tells you when the batch file generation is complete.

    Reccomendation: User preference

  5. Show generated batch file

    If enabled (ticked), this option tells Index.dat Suite to launch the generated batch file in Notepad. This allows you to check for any possible errors and/or add additional commands.

    Reccomendation: Leave checked

  6. Use confirmation/custom folders

    When enabled, this allows you to use the Batch File Generation Wizard when generating your batch file. This is only useful if you want to either, confirm the file's to be deleted, or add custom file's/folders to be deleted when the batch file is run.

    Reccomendation: User preference

  7. Batch filename

    This setting determines the filename that will be used when generating the batch file.

    Note: for the batch file to work, it MUST have a .bat extension.

    Reccomendation: Use default

  8. Platform

    This setting is used by the Batch file generation engine, to determine which type of commands should be used in the batch file.

    If you are unsure which version of Windows you are using, either leave the setting as "Automatically Detect", or click the "Whats my platform" icon next to the dropdown
    box.

    Reccomendation: Use "Automatically Detect"


Settings and Options - Folders

Settings and Options - Folders
This dialog allows you to include (checked) or exclude (unchecked) the following files/folders when generating the batch file.

Items checked, will be included.

1. Cookies
2. History
3. Recent Documents
4. Swap File
5. Temporary Internet Files
6. Temp Files

Note: Swap File option applies to Microsoft Windows 95, 98, 98 SE (Second Edition) and ME (Millenium Edition) only.


Settings and Options - Files

Settings and Options - Files
The following settings are available on the Files tab

  1. App Log

    This setting determines the location of the log file used by Index.dat Suite

    Reccomendation: User preference

  2. BFG Log

    This setting determines the location of the Batch File Generation log file used by Index.dat Suite

    Reccomendation: User preference

  3. Results

    This setting determines the location of the results file (used to store the results of a scan on your system).

    Reccomendation: User preference

  4. MDIB

    This setting determines the background image that is used for the Index.dat Suite MDI window background. If left blank, or the file is determined not to exist, no image will be used.

    Note: Changes to this setting will not take effect until you re-start Index.dat Suite

    Reccomendation: User preference

  5. Method

    This setting determines the display method for the above.

    Note: Changes to this setting will not take effect until you re-start Index.dat Suite

    Reccomendation: User preference

  6. External Viewer

    Allows you to use an external viewer for the index.dat file's (e.g. Index.dat QV)

    Reccomendation: User preference


Credits and Copyrights

Credits and Copyrights
---------------
Copyrights
---------------

Index.dat Suite is copyright 1998 - 2004 Ur I.T. Mate Group.

This program has been licenced as freeware and as such, my be distributed freely, aslong as no charge is made for the access to, or download of, this program, or any file's associated with it.

In addition, you are not permitted to attempt to de-compile, or otherwise mis-use this application. Use of this application is permitted on the understanding that Ur I.T. Mate Group does NOT and will NOT accept liability or be sued for any damage, loss of data, personal health, loss of income or other such possibilities, that occur due to the general use of this program.

For further information pertaining to the licence and distribution of Index.dat Suite, and the file's accompanying it, please see the End User Licence Agreement.

---------------
Credits
---------------

Ur I.T. Mate Group would like to thank the following people for their help and inspiration during the development of Index.dat Suite.
  1. Ken Howey (aka YK, YoKenny, CalamityKen)

    http://www.dozleng.com/updates/index.php?&act=calendar

  2. George Gedye

    http://mvps.org/PracticallyNerded/

  3. Bob McKenzie

    http://www.webgrid.co.uk

  4. Scott Williams

    http://www.freewarearena.org

  5. Stéphane Séguin

    No known website

  6. alt.comp.freeware newsgroup members

    http://www.pricelessware.org No website


End User Licence Agreement

End User Licence Agreement
End User Licence Agreement (EULA)

Herein "WE" and "AUTHOR" shall refer to Ur I.T. Mate Group and Steven Burn, "PRODUCT" shall refer to products developed and provided by Ur I.T. Mate Group and Steven Burn, "SERVICES" shall refer to services developed and provided by Ur I.T. Mate Group and Steven Burn, "USER" shall refer to you, the user (either as an individual, single entity or group).

This End User Licence Agreement (EULA) is a legal agreement between you, the USER and the mentioned AUTHOR. By using the mentioned AUTHOR's PRODUCTS, SERVICES and all other documents associated with and/or accompanying such, you agree to have read, fully understand and agree to be bound by, the terms set out below.
  1. Products
  2. Services
  3. Licence
  4. Distribution
  5. Distribution Restrictions
  6. EULA Modifications
  7. EULA Termination
PRODUCTS

All software and accompanying written materials provided by the AUTHOR are provided "as is", without warranty of any kind. Further, the AUTHOR does not warrant, guarantee, or take any representations regarding the use, or the results of use, of the PRODUCTS or written materials in terms of accuracy, reliability, currentness or other such representations. The entire risk as to the results and performance of the software and accompanying documentation, is assumed by the USER.

Neither the AUTHOR nor anyone else who has been involved in the creation, production or delivery of the AUTHOR's PRODUCTS (directly or indirectly) shall be liable for any direct, indirect, consequential, accidental or incidental damages (including but not limited to, damages for loss of profits (business and individual), interruption (business and individual), loss of data (business and individual) and other possible damages) arising out of the use or inability to use the product, including but not limited to, cases where the AUTHOR has been advised of the possibility of such damages.

By using the AUTHOR's PRODUCTS, you acknowledge that you have read, understand, and agree, to be bound by the terms as set out in this agreement.

SERVICES

All services and accompanying written materials provided by the AUTHOR are provided "as is", without warranty of any kind. Further, the AUTHOR does not warrant, guarantee, or take any representations regarding the use, or the results of use, of the SERVICES or written materials in terms of accuracy, reliability, currentness or other such representations. The entire risk as to the results and performance of the SERVICES and accompanying documentation, is assumed by the USER.

Neither the AUTHOR nor anyone else who has been involved in the creation, production or delivery of the AUTHOR's SERVICES (directly or indirectly) shall be liable for any direct, indirect, consequential, accidental or incidental damages (including but not limited to, damages for loss of profits (business and individual), interruption (business and individual), loss of data (business and individual) and other possible damages) arising out of the use or inability to use the SERVICES, including but not limited to, cases where the AUTHOR has been advised of the possibility of such damages.

By using the AUTHOR's SERVICES, you acknowledge that you have read, understand, and agree, to be bound by the terms as set out in this agreement.

LICENCE

Under the terms of this agreement, a non-exclusive [FREEWARE] licence is granted to the USER on the understanding the AUTHOR retains ALL rights to SERVICES, PRODUCTS, written materials and other such supplies.

Under this agreement, you are free to download and/or use the SERVICES and PRODUCTS provided by the AUTHOR, but are NOT permitted to attempt to modify, de-compile, merge, sell, lease or otherwise mis-use said AUTHOR's PRODUCTS and/or SERVICES, including but not limited to, all graphics, documents and other such file's.

DISTRIBUTION

Under the terms of this agreement, the AUTHOR grants you a non-exclusive licence to re-distribute all PRODUCTS provided by said AUTHOR, on the understanding no attempt is made to sell or otherwise personally or financially gain from the distribution of such PRODUCTS, and all file's provided, remain intact, unchanged, and in full, including, but not limited to: Readme, EULA, DISTRIBUTION, Help, PRODUCT and all other such file's.

DISTRIBUTION RESTRICTIONS

Whilst the AUTHOR grants you permission to distribute said AUTHOR's PRODUCTS, the following restrictions apply in all cases where the PRODUCT and/or SERVICE has been developed and/or [is] provided by, said AUTHOR.

You may not list any of the AUTHOR's PRODUCTS on website's that charge for access to listings, downloadable file's or other such material.

You may not list or distribute said AUTHOR's PRODUCTS via cd-rom or other such media, except where charges are for postage only.

You may not "bundle" ANY of said AUTHOR's products with ANY product and/or service that has not been developed and/or [is] provided by said AUTHOR.

If including said AUTHOR's PRODUCTS on media such as CD-ROM, DVD, floppy diskette, the AUTHOR must be informed prior to your doing so. Additionally, said AUTHOR reserves the right to be sent a copy of such media without charge, monetary or otherwise.

Under the terms of this agreement, distribution of SERVICES provided by the AUTHOR is expressly forbidden unless written permission has been granted by said AUTHOR. In cases where written permission has been given, said AUTHOR reserves the right to charge a nominal fee to cover potential administration costs and/or costs related to source file's.

EULA MODIFICATIONS

The afformentioned AUTHOR reserves the right to modify this EULA at any time, without notice. Should such a modification take place, the USER is expected to read and agree to such modifications within 7 days. Failure to agree to such modifications shall require said USER cease using said AUTHOR's PRODUCTS and/or SERVICES.

EULA TERMINATION

Said AUTHOR reserves the right to terminate this agreement at any time, in whole or part without notice or prior warning. Should such a termination take place, the USER shall be granted a non-exclusive gratis licence to carry on using said AUTHOR's PRODUCTS and/or SERVICES with the same restrictions above, but with the understanding, no support shall be provided for said PRODUCT and/or SERVICE. Said gratis licence shall apply for a period no less than 3 years, and no more than 500 years.

Last Updated: 31st July 2004 07:46

Note: The online version of this EULA supercedes all offline documentation. To view the latest online version, please see;

http://support.it-mate.co.uk/?mode=Documents


Menu - Tools

Tools Menu
The Tools menu consists of 4 items. These are listed below.
  1. Settings

    Shows the Settings dialog

  2. Index.dat Finder

    Shows the main IDFinder window

  3. Generate File

    Generates the Batch File that is used to delete the index.dat file's found

  4. Custom Folders

    Shows Custom Folders dialog